Hand Touching FOV Edge Capability
C Reference » Production Nodes Functionality » User Generator

## Functions

XN_C_API XnStatus XN_C_DECL | xnRegisterToHandTouchingFOVEdge (XnNodeHandle hInstance, XnHandTouchingFOVEdge handler, void *pCookie, XnCallbackHandle *phCallback)
XN_C_API void XN_C_DECL | xnUnregisterFromHandTouchingFOVEdge (XnNodeHandle hInstance, XnCallbackHandle hCallback)

## Detailed Description

The Touching FOV Edge capability (XN_CAPABILITY_HAND_TOUCHING_FOV_EDGE) allows callbacks when a hand (from hands generator) is touching the edge of the FOV

## Function Documentation

## xnRegisterToHandTouchingFOVEdge()

XN_C_API XnStatus XN_C_DECL xnRegisterToHandTouchingFOVEdge | ( | XnNodeHandle | hInstance,
|  | XnHandTouchingFOVEdge | handler,
|  | void * | pCookie,
|  | XnCallbackHandle * | phCallback )

Register to when a hand is approaching the edge of the FOV.

Parameters

  hInstance | [in] A handle to the instance
  handler | [in] Callback to be called when a hand is approaching the FOV
  pCookie | [in] User's cookie, to be delivered to the callbacks
  phCallback | [out] The handle to these callbacks, to allow unregistration

## xnUnregisterFromHandTouchingFOVEdge()

XN_C_API void XN_C_DECL xnUnregisterFromHandTouchingFOVEdge | ( | XnNodeHandle | hInstance,
|  | XnCallbackHandle | hCallback )

Unregister from hand approaching the edge of the FOV.

Parameters

  hInstance | [in] A handle to the instance
  hCallback | [in] The handle received from registration